Create a role

Requires the ROLE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
namestringRequired
The name of the role
descriptionstringRequired
The description of the role
child_role_idslist of stringsRequired
Child roles for this role

Response

OK
namestring
The name of the role
descriptionstring
The description of the role
child_role_idslist of strings
Child roles for this role
object_typestring or nullRead-only
idstring or nullRead-only
Unique identifier for the role
entity_idstring or nullRead-only

When present the role is created for/by this entity

child_roleslist of objects or nullRead-onlyDeprecated
Child roles, with a max depth of 2

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error